Bug 9374 - 6.1 ppp will continue dialling out with failed connects. "feature or bug?"
6.1 ppp will continue dialling out with failed connects. "feature or bug?"
Product: Red Hat Linux
Classification: Retired
Component: ppp (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2000-02-12 01:21 EST by tsmith
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-14 09:17:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description tsmith 2000-02-12 01:21:02 EST
I wonder if someone would mind helping me with a mystery that is causing me
to pull my hair out......

I have been using a Linux server based on RedHat 5.2 for some time to
connect to the Internet and provide masquerade for a bunch of Windows boxes
on a private network behind it.

Today I decided to redo the server to incorporate a few more sophisticated
things like DNS, DHCP and HTTP serving for a prototype intranet.

All went very well with one small hiccup. There seems to be an undocumented
change in the behavior of ppp between RedHat 6.1 and 5.2.

Using 5.2 invoking "ifup ppp1" will result in the server making one and one
only attempt to connect to the internet.

This is exactly what I want

Using 6.1 if the dialout attempt fails, it simply loops and tries again and
again until it either connects or is stopped.

I don't want this, nor do I think it is intelligent designed behaviour.

I have compared all the relevant (I hope) scripts between 5.2 and 6.1 but I
cannot find a difference that would account for the changed behavior.

I have the awful feeling I've missed something important (it's been a long
day), could someone please tell me what it is?

On the other hand, it just might be a genuine bug.....

Tony Smith
Comment 1 Nalin Dahyabhai 2000-02-14 09:17:59 EST
I believe the ppp-watch process started in the ifup-ppp script is what you're
looking for here.  It monitors the interface and continues trying to bring it
up until the interface has been connected at least once.  This eliminates
problems caused by intermittent dialing and connecting errors, which is
generally a good thing.

I'm not completely sure if this will work or not, but commenting these lines out
from /etc/sysconfig/network-scripts/ifup-ppp should restore the behavior you

#if [ "$1" != daemon ] ; then
#  # just in case a full path to the configuration file is passed in
#  ifcfg=$(basename $1)
#  shift
#  # let ppp-watch do the right thing
#  exec /sbin/ppp-watch "$ifcfg" "$@"

Note You need to log in before you can comment on or make changes to this bug.